Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class AbstractLayoutCache.NodeDimensions

    java.lang.Object
      |
      +--javax.swing.tree.AbstractLayoutCache.NodeDimensions

Direct Known Subclasses:
  BasicTreeUI.NodeDimensionsHandler

public abstract static class AbstractLayoutCache.NodeDimensions
extends java.lang.Object

Used by AbstractLayoutCache to determing the size and x origin of a particular node.

Constructor Summary
`AbstractLayoutCache.NodeDimensions()`

Method Summary
`abstract java.awt.Rectangle` | `getNodeDimensions(java.lang.Object value, int row, int depth, boolean expanded, java.awt.Rectangle bounds)` Returns, by reference in bounds, the size and x origin to place value at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLayoutCache.NodeDimensions

    public AbstractLayoutCache.NodeDimensions()

Method Detail

### getNodeDimensions

    public abstract java.awt.Rectangle getNodeDimensions(java.lang.Object value,
                                                         int row,
                                                         int depth,
                                                         boolean expanded,
                                                         java.awt.Rectangle bounds)

  Returns, by reference in bounds, the size and x origin to place value at. The receiver is responsible for determing the Y location. If bounds is null, a newly created Rectangle should be returned, otherwise the value should be placed in bounds and returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.